# Uses of Class
org.apache.velocity.runtime.parser.node.ASTBlock

Packages that use ASTBlock
Package
Description
org.apache.velocity.runtime.parser
org.apache.velocity.runtime.parser.node
org.apache.velocity.runtime.visitor

## Uses of ASTBlock in org.apache.velocity.runtime.parser

Methods in org.apache.velocity.runtime.parser that return ASTBlock
Modifier and Type
Method
Description
`final ASTBlock`
StandardParser.`ElseIfStatement(ASTBlock previousBlock, boolean afterNewline)`
`final ASTBlock`
StandardParser.`ElseStatement(ASTBlock previousBlock, boolean afterNewline)`
Methods in org.apache.velocity.runtime.parser with parameters of type ASTBlock
Modifier and Type
Method
Description
`final ASTBlock`
StandardParser.`ElseIfStatement(ASTBlock previousBlock, boolean afterNewline)`
`final ASTBlock`
StandardParser.`ElseStatement(ASTBlock previousBlock, boolean afterNewline)`

## Uses of ASTBlock in org.apache.velocity.runtime.parser.node

Methods in org.apache.velocity.runtime.parser.node with parameters of type ASTBlock
Modifier and Type
Method
Description
`Object`
IndentationFixer.`visit(ASTBlock node, Object data)`
`Object`
StandardParserDefaultVisitor.`visit(ASTBlock node, Object data)`
`Object`
StandardParserVisitor.`visit(ASTBlock node, Object data)`

## Uses of ASTBlock in org.apache.velocity.runtime.visitor

Methods in org.apache.velocity.runtime.visitor with parameters of type ASTBlock
Modifier and Type
Method
Description
`Object`
BaseVisitor.`visit(ASTBlock node, Object data)`
`Object`
NodeViewMode.`visit(ASTBlock node, Object data)`